# 32/64bit spec-file
#
%global realname childsplay_sp
%global python_sitedir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

%define name 		childsplay
%define alphabet_ver 	0.9.1
%define version 	1.6
%define release %mkrel 	6

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Suite of educational games for young children
Summary(de): 	Zusammenstellung von Lehrspielen für Kinder
Group:          Education
License:        GPLv3
URL:            http://www.schoolsplay.org/
Source0:        http://downloads.sourceforge.net/schoolsplay/%{name}-%{version}.tar.xz
Source10:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_bg-%{alphabet_ver}.tgz
Source11:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_ca-%{alphabet_ver}.tgz
Source12:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_de-%{alphabet_ver}.tgz
Source13:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_el-0.9.tgz
Source14:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_en_GB-%{alphabet_ver}.tgz
Source15:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_es-%{alphabet_ver}.tgz
Source16:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_fr-%{alphabet_ver}.tgz
Source17:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_it-%{alphabet_ver}.tgz
Source18:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_lt-%{alphabet_ver}.tgz
Source19:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_nb-%{alphabet_ver}.tgz
Source20:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_nl-%{alphabet_ver}.tgz
Source21:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_pt-%{alphabet_ver}.tgz
Source22:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_pt_BR-%{alphabet_ver}.tgz
Source23:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_ro-%{alphabet_ver}.tgz
Source24:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_ru-%{alphabet_ver}.tgz
Source25:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_sl-%{alphabet_ver}.tgz
Source26:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_sv-0.9.2.tgz
Patch0:         childsplay-fix-sqlalchemy-exceptions-import.patch
Patch1:         childsplay-1.6-flashcards-lang-fallback.patch
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  desktop-file-utils python-devel ImageMagick
Requires:       pygame
Requires:       python-sqlalchemy
Requires:       hicolor-icon-theme
Requires:       fribidi
Requires:       fonts-ttf-dejavu
Provides:       %{realname} = %{version}-%{release}
Provides:       childsplay_plugins = %{version}-%{release}
BuildArch:	noarch

%description
Childsplay is a 'suite' of educational games for young children. It's written
in Python and uses the SDL-libraries to make it more games-like then, for
instance, gcompris. The aim is to be educational and at the same time be fun
to play.

NOTE: This package includes all games currently available for childsplay.

%description -l de
Childsplay ist eine Zusammenstellung von Lehrspielen für Kinder. Es ist in 
Python geschrieben und benutzt die SDL-Bibliotheken, um im Vergleich mit 
gcompris spielerischer zu erscheinen. Das Ziel ist, Lehrstoffe spielerisch 
zu vermitteln. 

Anmerkung: Diese Zusammenstellung beinhaltet alle momentan für childsplay verfügbare Spiele. 

%package alphabet_sounds_bg
Summary:        Bulgarian alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_bg
Bulgarian alphabet sounds for Childsplay


%package alphabet_sounds_ca
Summary:        Catalan alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_ca
Catalan alphabet sounds for Childsplay


%package alphabet_sounds_de
Summary:        German alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_de
German alphabet sounds for Childsplay
%description alphabet_sounds_de -l de
Deutsche alphabet Sounds für Childsplay


%package alphabet_sounds_el
Summary:        New Greek alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_el
new Greek alphabet sounds for Childsplay


%package alphabet_sounds_en_GB
Summary:        British English alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_en_GB
British English alphabet sounds for Childsplay


%package alphabet_sounds_es
Summary:        Spanish alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_es
Spanish alphabet sounds for Childsplay


%package alphabet_sounds_fr
Summary:        French alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_fr
French alphabet sounds for Childsplay


%package alphabet_sounds_it
Summary:        Italian alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_it
Italian alphabet sounds for Childsplay


%package alphabet_sounds_lt
Summary:        Lithuanian alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_lt
Lithuanian alphabet sounds for Childsplay


%package alphabet_sounds_nb
Summary:        Norwegian Bokmål alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_nb
Norwegian Bokmål alphabet sounds for Childsplay


%package alphabet_sounds_nl
Summary:        Dutch alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_nl
Dutch alphabet sounds for Childsplay


%package alphabet_sounds_pt
Summary:        Portuguese alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_pt
Portuguese alphabet sounds for Childsplay


%package alphabet_sounds_pt_BR
Summary:        Brazilian portuguese alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description 	alphabet_sounds_pt_BR
Brazilian portuguese alphabet sounds for Childsplay


%package alphabet_sounds_ro
Summary:        Romanian alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_ro
Romanian alphabet sounds for Childsplay


%package alphabet_sounds_ru
Summary:        Russian alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_ru
Russian alphabet sounds for Childsplay


%package alphabet_sounds_sl
Summary:        Slovenian alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_sl
Slovenian alphabet sounds for Childsplay


%package alphabet_sounds_sv
Summary:        Swedish alphabet sounds for Childsplay
Group:          Education
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_sv
Swedish alphabet sounds for Childsplay

%prep
%setup -q -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16 -a 17 -a 18 -a 19 -a 20 -a 21 -a 22 -a 23 -a 24 -a 25 -a 26
%patch0 -p1 -z .sqlalchemy
%patch1 -p1
# we don't use the buggy provided install
rm setup.py
# fixup the python scripts to call python directly and make them executable
sed -i 's!/usr/bin/env python!%{_bindir}/python!' bin/%{name}
# fix wrong end of line encoding
sed -i -e 's|\r||g' doc/license.txt
# lang lt miss subdir
pushd alphabet_sounds_lt-0.9.1/AlphabetSounds
mkdir lt
mv *.* lt
popd

%build
# setup.py is not really usable for our needs
echo "## Automated file please do not edit" > SPBasePaths.py
echo "# This module holds all the paths needed for %{name}." >> SPBasePaths.py
echo "DOCDIR = '%{_datadir}/doc/%{name}-%{version}'" >> SPBasePaths.py
echo "PYTHONCPDIR = '%{python_sitedir}/%{realname}'" >> SPBasePaths.py
echo "BASEDIR = '%{_datadir}/%{realname}'" >> SPBasePaths.py
echo "SHARELIBDATADIR = '%{_datadir}/%{realname}'" >> SPBasePaths.py
echo "ALPHABETDIR = '%{_datadir}/%{realname}/alphabetsounds'" >> SPBasePaths.py
echo "LOCALEDIR = '%{_datadir}/locale'" >> SPBasePaths.py

%install
# setup.py is not really usable for our needs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{python_sitedir}/%{realname}/lib
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{realname}

cp -a bin/%{name}  $RPM_BUILD_ROOT%{_bindir}

cp -a lib/CPData $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a lib/SPData $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a alphabetsounds $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a locale/* $RPM_BUILD_ROOT%{_datadir}/locale

cp -a *.py $RPM_BUILD_ROOT%{python_sitedir}/%{realname}
cp -a gui $RPM_BUILD_ROOT%{python_sitedir}/%{realname}
cp -a lib/*.py $RPM_BUILD_ROOT%{python_sitedir}/%{realname}/lib
cp -a ocempgui $RPM_BUILD_ROOT%{python_sitedir}/%{realname}

%find_lang %{realname}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=Suite of educational games for young children
Comment[de]=Zusammenstellung von Lehrspielen für Kinder
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;KidsGame;X-MandrivaLinux-MoreApplications-Education-Other;
EOF

# setup the icons
for i in 32x32 64x64 128x128 192x192 256x256; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps
  if [ -f lib/SPData/menu/default/logo_cp_$i.png ]; then
    install -p -m 644 lib/SPData/menu/default/logo_cp_$i.png \
      $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps/%{name}.png
  else
    convert lib/SPData/menu/default/logo_cp_180x180.png -resize $i \
      $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps/%{name}.png
  fi
done

#Remove provided font and symlink system one
rm $RPM_BUILD_ROOT%{_datadir}/%{realname}/SPData/DejaVuSansCondensed-Bold.ttf
rm $RPM_BUILD_ROOT%{_datadir}/%{realname}/SPData/DejaVu-ttf.copyright
ln -s ../../fonts/dejavu/DejaVuSansCondensed-Bold.ttf $RPM_BUILD_ROOT%{_datadir}/%{realname}/SPData/DejaVuSansCondensed-Bold.ttf

#Alphabet sounds
for sounds in bg ca de en_GB es fr it lt nb nl pt pt_BR ro ru sl 
do
  cp -a alphabet_sounds_$sounds-%{alphabet_ver}/AlphabetSounds/$sounds %{buildroot}%{_datadir}/%{realname}/alphabetsounds
done
for sounds in ca de es fr it nl pt_BR ru sl
do
  cp -a alphabet_sounds_$sounds-%{alphabet_ver}/FlashCardsSounds/$sounds %{buildroot}%{_datadir}/%{realname}/CPData/FlashcardsData/names
done
# sv and el language have a different version from the rest
cp -a alphabet_sounds_el-0.9/AlphabetSounds/el %{buildroot}%{_datadir}/%{realname}/alphabetsounds
cp -a alphabet_sounds_sv-0.9.2/AlphabetSounds/sv %{buildroot}%{_datadir}/%{realname}/alphabetsounds


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor


%files -f %{realname}.lang
%defattr(-, root, root, -)
%doc Changelog COPYING doc/* README
%{_bindir}/%{name}
%{_datadir}/%{realname}/SPData
%{_datadir}/%{realname}/CPData/*.*
%{_datadir}/%{realname}/CPData/BilliardData
%{_datadir}/%{realname}/CPData/FallinglettersData
%{_datadir}/%{realname}/CPData/FindsoundData
%{_datadir}/%{realname}/CPData/FishtankData
%{_datadir}/%{realname}/CPData/FlashcardsData/cards
%{_datadir}/%{realname}/CPData/FlashcardsData/sounds
%{_datadir}/%{realname}/CPData/FlashcardsData/names/en
%{_datadir}/%{realname}/CPData/LMemoryData
%{_datadir}/%{realname}/CPData/MemoryData
%{_datadir}/%{realname}/CPData/PackidData
%{_datadir}/%{realname}/CPData/PongData
%{_datadir}/%{realname}/CPData/PuzzleData
%{_datadir}/%{realname}/CPData/SoundmemoryData
%{_datadir}/%{realname}/alphabetsounds/en
%{python_sitedir}/%{realname}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files alphabet_sounds_bg
%defattr(-, root, root, -)
%doc  alphabet_sounds_bg-%{alphabet_ver}/GPL-2 alphabet_sounds_bg-%{alphabet_ver}/README
%{_datadir}/%{realname}/alphabetsounds/bg


%files alphabet_sounds_ca
%defattr(-, root, root, -)
%doc  alphabet_sounds_ca-%{alphabet_ver}/copyright  alphabet_sounds_ca-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/ca
%{_datadir}/%{realname}/alphabetsounds/ca


%files alphabet_sounds_de
%defattr(-, root, root, -)
%doc  alphabet_sounds_de-%{alphabet_ver}/copyright  alphabet_sounds_de-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/de
%{_datadir}/%{realname}/alphabetsounds/de


%files alphabet_sounds_el
%defattr(-, root, root, -)
%doc  alphabet_sounds_el-0.9/copyright  alphabet_sounds_el-0.9/GPL-2
%{_datadir}/%{realname}/alphabetsounds/el


%files alphabet_sounds_en_GB
%defattr(-, root, root, -)
%doc  alphabet_sounds_en_GB-%{alphabet_ver}/copyright  alphabet_sounds_en_GB-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/alphabetsounds/en_GB


%files alphabet_sounds_es
%defattr(-, root, root, -)
%doc  alphabet_sounds_es-%{alphabet_ver}/copyright  alphabet_sounds_es-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/es
%{_datadir}/%{realname}/alphabetsounds/es


%files alphabet_sounds_fr
%defattr(-, root, root, -)
%doc  alphabet_sounds_fr-%{alphabet_ver}/copyright  alphabet_sounds_fr-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/fr
%{_datadir}/%{realname}/alphabetsounds/fr


%files alphabet_sounds_it
%defattr(-, root, root, -)
%doc  alphabet_sounds_it-%{alphabet_ver}/copyright  alphabet_sounds_it-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/it
%{_datadir}/%{realname}/alphabetsounds/it


%files alphabet_sounds_lt
%defattr(-, root, root, -)
%doc  alphabet_sounds_lt-%{alphabet_ver}/copyright  alphabet_sounds_lt-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/alphabetsounds/lt


%files alphabet_sounds_nb
%defattr(-, root, root, -)
%doc  alphabet_sounds_nb-%{alphabet_ver}/copyright  alphabet_sounds_nb-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/alphabetsounds/nb


%files alphabet_sounds_nl
%defattr(-, root, root, -)
%doc  alphabet_sounds_nl-%{alphabet_ver}/copyright  alphabet_sounds_nl-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/nl
%{_datadir}/%{realname}/alphabetsounds/nl


%files alphabet_sounds_ro
%defattr(-, root, root, -)
%doc  alphabet_sounds_ro-%{alphabet_ver}/copyright  alphabet_sounds_ro-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/alphabetsounds/ro

%files alphabet_sounds_pt
%defattr(-, root, root, -)
%doc  alphabet_sounds_pt-%{alphabet_ver}/copyright  alphabet_sounds_pt-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/alphabetsounds/pt

%files alphabet_sounds_pt_BR
%defattr(-, root, root, -)
%doc  alphabet_sounds_pt_BR-%{alphabet_ver}/copyright  alphabet_sounds_pt_BR-%{alphabet_ver}/GPL-2
%{_datadir}/%{name}_sp/CPData/FlashcardsData/names/pt_BR
%{_datadir}/%{realname}/alphabetsounds/pt_BR


%files alphabet_sounds_ru
%defattr(-, root, root, -)
%doc  alphabet_sounds_ru-%{alphabet_ver}/copyright  alphabet_sounds_ru-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/ru
%{_datadir}/%{realname}/alphabetsounds/ru

%files alphabet_sounds_sl
%defattr(-, root, root, -)
%doc  alphabet_sounds_sl-%{alphabet_ver}/LICENCE  alphabet_sounds_sl-%{alphabet_ver}/README
%{_datadir}/%{realname}/CPData/FlashcardsData/names/sl
%{_datadir}/%{realname}/alphabetsounds/sl


%files alphabet_sounds_sv
%defattr(-, root, root, -)
%doc  alphabet_sounds_sv-0.9.2/copyright  alphabet_sounds_sv-0.9.2/GPL-2
%{_datadir}/%{realname}/alphabetsounds/sv


%changelog
* Sat Sep 14 2013 pinoc <vogtpet at gmail.com> 1.6-6pclos2013
- rebased on Fedora including crash fix with latest sqlalchemy

* Thu Apr 04 2013 pinoc <vogtpet at gmail.com> 1.6-4pclos2013
- rebuild with Debian patches on 32/64
- added portugues BR and fixed lang-setup for portug

* Tue Jul 12 2011 Ertain <sirius-C at iname.com> 1.6-1pclos2011
- 1.6

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 1.5.1-2pclos2010
- Update

* Sun Jun 06 2010 maik3531 <maik3531 at yahoo dot de> 1.5.1-1pclos2010
- 1.5.1
- clean spec
- Update Sources URL

* Fri Dec 25 2009 maik3531 <maik3531 at yahoo dot de> 1.4-1pclos2010
- 1.4
- add german description
 
* Wed May 20 2009 pcserver <pcserver@hushmail.com> 0.90.2-1pclos2009
- 0.90.2

* Fri Mar 30 2007 Torbjorn Turpeinen (Thac) <tobbe@nyvalls.se> 0.85.1-1
- 0.85.1
- Rebuilt for pclos2007
